//拍照触发监听
				document.getElementById("headerPhoto").addEventListener("tap", function() {
					console.log("loggo");
					if(mui.os.plus) {
						var a = [{
							title: "拍照"
						}, {
							title: "从手机相册选择"
						}]
						plus.nativeUI.actionSheet({
							title: "修改用户头像",
							cancel: "取消",
							buttons: a
						}, function(b) { //actionsheet 点击之后出现的东西
							switch(b.index) {
								case 0:
									break;
								case 1:
									getpic();
									break;
								case 2:
									getimg();
									break;
								default:
									break;
							}
						})
					}
				})

//拍照
function getpic() {
	var c = plus.camera.getCamera();
	c.captrueImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s); //上传图片
		}, function(e) {
			console.log("读取拍照文件错误" + e.message)
		})
	}, function(s) {
		console.log("error" + s);
	}, {
		filname: "_doc/head.png"
	})
}

//获取相册
function getimg() {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				root.getFile("head.png", {}, function(file) {
					//文件已存在
					file.remove(function() {
						console.log("删除成功");
						entry.copyTo(root, "head.png", function(e) {
							var e = e.fullPath + "?version=" + new Date().getTime();
							uploadHead(e); /*上传图片*/
							//变更大的图预览的src
							//目前只有一张图暂且这样处理，后续需要用标准组件实现
						}, function(e) {
							console.log("copy img file:" + e.message);
						});
					}, function() {
						console.log("删除" + e.message)
					});
				}, function() {
					//文件不存在
					entry.copyTo(root, "head.png", function(e) {
						var path = e.fullPath + "?version=" + new Date().getTime();
						uploadhead(path); /*上传图片*/
					}, function(e) {
						console.log("copy img file:" + e.message);
					});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误" + e.message);
		})
	}, function(a) {}, {
		filter: "image"
	})
}
//上传头像图片
function uploadHead(imgPath) {
	var mainImage = document.getElementById("headimg");
	mainImage.src = imgPath;

	var image = new Image();
	image.src = imgPath;
	image.onload = function() {
		var imgData = getBase64Image(image);

		$.ajax({
			type: "post",
			data: imgData,
			url: "http://10.8.165.31/ceshi/reuserimg.php",
			success: function(data) {
				console.log("ajax成功")
				console.log(data);
			},
			error: function() {
				console.log("ajax失败")
			}
		});
	}
}

//转换64
function getBase64Image(img) {
	var canvas = document.createDocument("canvas");
	var width = img.width;
	var height = img.height;

	if(width > height) {
		if(width > 100) {
			height = Math.round(height *= 100 / width);
			width = 100;
		}
	} else {
		if(height > 100) {
			width = Math.round(width *= 100 / height);
			height = 100;
		}
	}

	canvas.width = width;
	canvas.height = height;

	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.8);
	return dataURL.replace("data:image/png;base64,", "");
}





//使用MUI的上传方法上传

// 上传文件
var uploadImg = function() {
    var server = imgUrl+'/clientapi/driver/ApplayCertification';
    //outSet("开始上传：")
    var wt = plus.nativeUI.showWaiting();
    var task = plus.uploader.createUpload(server, {
            method: "POST",
            blocksize: 20480000,
            priority: 100
        },
        function(t, status) { //上传完成
            if (t.state == 4 && status == 200) {
                wt.close();
                //outLine("上传成功：" + t.responseText);
                //上传成功，跳转到车主首页
                mui.toast('上传成功');
                mui.fire(mycarPage, "pageflowrefresh" );
                plus.webview.currentWebview().close();
                mui.redirect('myaccount-mycar', '../myaccount/mycar.html');
            } else {
                //outLine("上传失败：" + status);
                wt.close();
                mui.toast('上传失败');
            }
        }
    );
    task.addData("token", UserInfo.token());
    task.addData("source", source);//就是数据
    task.start(); 
}
//源码在 http://www.cnblogs.com/weishuanbao/p/5266189.html